Bug 111147 - anaconda traceback when installing on LVM
anaconda traceback when installing on LVM
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-11-28 10:10 EST by Didier
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-12 12:19:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda dump (286.79 KB, text/plain)
2003-11-28 10:10 EST, Didier
no flags Details
Anaconda log (7.39 KB, text/plain)
2003-11-28 10:11 EST, Didier
no flags Details
LVM output (1.38 KB, text/plain)
2003-11-28 10:12 EST, Didier
no flags Details
syslog (9.22 KB, text/plain)
2003-11-28 10:12 EST, Didier
no flags Details

  None (edit)
Description Didier 2003-11-28 10:10:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
When trying to install RHEL3-ES after defining LVM partitions,
anaconda crashes after packages selection, but before actually
installing the packages.

Subsequent installation attempts have the LVM partitions already
defined in the Disk Druid (so only volume labels have to be assigned),
but lead to an identical crash.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start installation
2. define LVM partitions
3. select packages

Actual Results:  Anaconda traceback

Additional info:

Possibly related to bug #110285 ? (different tracebacks, though)

Hardware : dual IDE drives on IBM BladeCenter HS20 blade.

(Priority set to high, because no install = no RHEL)
Comment 1 Didier 2003-11-28 10:10:55 EST
Created attachment 96238 [details]
Anaconda dump
Comment 2 Didier 2003-11-28 10:11:28 EST
Created attachment 96239 [details]
Anaconda log
Comment 3 Didier 2003-11-28 10:12:04 EST
Created attachment 96240 [details]
LVM output
Comment 4 Didier 2003-11-28 10:12:41 EST
Created attachment 96241 [details]
Comment 5 Jeremy Katz 2003-12-16 18:43:30 EST
Are you installing without formatting your volumes?
Comment 6 Didier 2003-12-17 04:09:53 EST
Comment #5 : If I am not mistaken (quite a while ago since I tried the
install, server is idle since then), I formatted on the first attempt,
and not on the second one (as anaconda recognized the LVM partitions
from the previous attempt).

IIRC, the traceback is from the second attempt.
Would you like me to try and perform a new installation, with formatting ?
Comment 7 Jeremy Katz 2003-12-17 10:25:06 EST
Yes, that would be very beneficial.
Comment 8 Didier 2003-12-19 15:58:29 EST
I reinstalled, with RHEL3 AS (academic license) replacing the failed
ES installation. I removed all existing partitions in Disk Druid, and
repartitioned (with appropriate LVM partitions) ; taking no chances, I
selected the default server installation, no extra packages.

Formatting and installation went without a hitch.

I leave it at your discretion whether or not to close the bug ; it
speaks for itself I'll provide you with any extra information/logs you
might see fit.

Note You need to log in before you can comment on or make changes to this bug.